# This file is a template, and might need editing before it works on your project.
# use the official gcc image, based on debian
# can use verions as well, like gcc:5.2
# see https://hub.docker.com/_/gcc/
image: gausa/gcc_cmake_qemu_stm32

build:
  stage: build
  script: 
    - git submodule init
    - git submodule update
    - cp CMakeLists.txt.env.dist CMakeLists.txt.env
    - cmake -H. -Bbuild/test -G"Unix Makefiles" 
    - cd build/test
    - make coverage
  artifacts:
     paths:
      - coverage


build_hardware:
  stage: build
  script: 
    - git submodule init
    - git submodule update
    - cp CMakeLists.txt.env.dist CMakeLists.txt.env
    - cmake -H. -Bbuild/qemu -G"Unix Makefiles" -DTARGET_ARM=1 -DCMAKE_TOOLCHAIN_FILE=ext/toolchain/gcc_arm_stm32f4_qemu.txt
    - cd build/qemu
    - make platform_hw_stm32f4_test_qemu || true

pages:
  stage: deploy
  dependencies:
    - build
  script:
    - mv coverage/ public/
  artifacts:
    paths:
      - public
  only:
    - master
